Subject: bug#66454: closed (Re: none)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Oct 2023 17:21:02 +0000

Your bug report

#66454: [PATCH 0/5] gnu: Add python-spectral-cube

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66454: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66454
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: none
From: Maxim Cournoyer <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Oct 2023 13:19:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Sharlatan Hellseher <[email-masked]> writes:

> Hi,
>
> A gentle ping on this issue. Let me know if it needs any modification.

Nice series!  Since you sent it, radio-beam and spectral-cube had a new
version, so I've updated them.  I've also added 'python-setuptools-scm'
to their native inputs, otherwise the version metadata was missing from
their outputs and their version was incorrectly reported as '0.0.0'.

You have cumulated 579 commits thus far; I think you should apply to
become a committer; this way you could keep the various astrology
packages updated more easily.

I'd be happy to vouch for you; you clearly put a lot of efforts toward
producing high-quality packages.

-- 
Thanks,
Maxim

Subject: [PATCH 0/5] gnu: Add python-spectral-cube
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Wed, 11 Oct 2023 02:34:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

New candidates to extend Astronomical collection (it would be 100 soon).  As
usual let me know if I need to modify description or package styling.

Sharlatan Hellseher (5):
  gnu: Add python-radio-beam.
  gnu: Add python-pyavm.
  gnu: Add python-pyregion.
  gnu: Add python-aplpy.
  gnu: Add python-spectral-cube.

 gnu/packages/astronomy.scm | 204 +++++++++++++++++++++++++++++++++++++
 1 file changed, 204 insertions(+)

base-commit: fc6c910f797ea232f6019c4ca5dbd105f78928df
-- 
2.41.0